<html>
    <style>
        body {
            width: 15cm;
            display: block;
            margin: 0 auto;
        }
        .entry{
            width: 5cm;
            margin: 0cm;
            display: block;
            float: left;
        }
        .wrapper{
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-orient: horizontal;
            -webkit-box-direction: normal;
                -ms-flex-flow: row wrap;
                    flex-flow: row wrap;
            -ms-flex-pack: distribute;
                justify-content: space-around;
        }

        .qrCode{
            height: 4.9cm;
            width: 4.9cm;
        }
        p{
            overflow: hidden;
            margin: 0.1cm;
            text-align: center;
        }
        .entry p:first-of-type{
            font-size: 0.4cm;
            margin-top: -.3cm
        }
        .entry p:last-of-type{
            font-size: 0.25cm;
            margin-top: -.05cm
        }
    </style>
    <body>
        <div class="">
            <% for(let i = 0; i < data.length; i++){ %>
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainText%></p>
                    <p><%=data[i].subText%></p>
                </div>
            <% } %> 
        </div>
    </body>
</html>